package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel
public class DrpIntoInventoryPageV2VO {
   @ApiModelProperty("入库单号")
   private String intoId;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("入库时间")
   private LocalDateTime intoDate;
   @ApiModelProperty("合计数量")
   private BigDecimal totalNum;
   @ApiModelProperty("合计金额")
   private Long totalAmount;
   @ApiModelProperty("入库状态(1-待入库,2-已入库)")
   private Integer status;
   @ApiModelProperty("入库类型(1-采购入库,2-退料入库,3-调拨入库,5-即入即出,6-超市退单入库,7-盘点入库)")
   private Integer intoType;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("送货单id")
   private String deliveryGoodsId;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("供应商")
   private String supplierName;

   public String getIntoId() {
      return this.intoId;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public LocalDateTime getIntoDate() {
      return this.intoDate;
   }

   public BigDecimal getTotalNum() {
      return this.totalNum;
   }

   public Long getTotalAmount() {
      return this.totalAmount;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getIntoType() {
      return this.intoType;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getDeliveryGoodsId() {
      return this.deliveryGoodsId;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setIntoDate(final LocalDateTime intoDate) {
      this.intoDate = intoDate;
   }

   public void setTotalNum(final BigDecimal totalNum) {
      this.totalNum = totalNum;
   }

   public void setTotalAmount(final Long totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setIntoType(final Integer intoType) {
      this.intoType = intoType;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setDeliveryGoodsId(final String deliveryGoodsId) {
      this.deliveryGoodsId = deliveryGoodsId;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }


   public String toString() {
      String var10000 = this.getIntoId();
      return "DrpIntoInventoryPageV2VO(intoId=" + var10000 + ", warehouseId=" + this.getWarehouseId() + ", warehouseName=" + this.getWarehouseName() + ", intoDate=" + String.valueOf(this.getIntoDate()) + ", totalNum=" + String.valueOf(this.getTotalNum()) + ", totalAmount=" + this.getTotalAmount() + ", status=" + this.getStatus() + ", intoType=" + this.getIntoType() + ", remark=" + this.getRemark() + ", deliveryGoodsId=" + this.getDeliveryGoodsId() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ", supplierName=" + this.getSupplierName() + ")";
   }
}
